<body>
  <header>Introducir los campos de las personas</header>

  <div class="formulario">
    <form [formGroup]="registerForm" (ngSubmit)="onSubmit()">
      <ul class="campos">
        <li>
          <label for="usuario">Usuario</label>
          <input type="text" name="usuario" id="usuario" formControlName="usuario">
        </li>

        <li>
          <label for="apellido">Apellido</label>
          <input type="text" name="apellido" id="apellido" formControlName="surname">
        </li>

        <li>
          <label for="contrasena">Contraseña</label>
          <input type="password" name="contrasena" id="contrasena" formControlName="password">
        </li>

        <li>
          <label for="nombre">Nombre</label>
          <input type="text" name="nombre" id="nombre" formControlName="name">
        </li>

        <li>
          <label for="email_compania">Email de la compañía</label>
          <input type="email" name="email_compania" id="email_compania" formControlName="company_email">
        </li>

        <li>
          <label for="email_personal">Email personal</label>
          <input type="email" name="email_personal" id="email_personal" formControlName="personal_email">
        </li>

        <li>
          <label for="ciudad">Ciudad</label>
          <input type="text" name="ciudad" id="ciudad" formControlName="city">
        </li>

        <li>
          <label for="url_imagen">Url de la imagen</label>
          <input type="text" name="url_imagen" id="url_imagen" formControlName="imagen_url">
        </li>

        <li>
          <label for="fecha_creacion">Fecha creación</label>
          <input type="date" name="fecha_creacion" id="fecha_creacion" formControlName="created_date">
        </li>

        <li>
          <label for="activado">Activado</label>
          <input type="checkbox" name="activado" id="activado" formControlName="active">
        </li>
        <li>
          <label for="fecha_finalizacion">Fecha finalización</label>
          <input type="date" name="fecha_finalizacion" id="fecha_finalizacion" formControlName="termination_date">
        </li>
      </ul>

      <div class="botones">
        <button type="submit"> Enviar </button>
        <button> Limpiar </button>
      </div>

    </form>

  </div>
</body>

<router-outlet></router-outlet>
